* {
  box-sizing: border-box;
}

::-webkit-scrollbar {
  width: 0px;
}

@font-face {
  font-family: 'Nunito';
  src: url('./assets/fonts/Nunito-Regular.ttf');
}

@font-face {
  font-family: 'Nunito';
  font-weight: bold;
  src: url('./assets/fonts/Nunito-Bold.ttf');
}

$red: #ef5350;
$yellow: #ffca28;
$orange: #ffa726;
$deep-orange: #ff7043;
$dark: #212121;
$light: #fafafa;

body {
  margin: 0;
  background-color: $light;
  font-family: 'Nunito';
  font-weight: bold;
  font-size: 16px;
  text-transform: uppercase;
  color: $dark;
}

a {
  color: $dark;
  text-decoration: none;

  &:focus {
    outline: 0;
  }

  &:hover {
    color: $light;
    transition-duration: 0.375s;
  }
}

input {
  border: 0;
  padding: 0;
  background-color: transparent;
  font-family: 'Nunito';
  font-weight: bold;
  font-size: 16px;
  text-transform: uppercase;
  text-overflow: ellipsis;
  text-align: center;
  color: $dark;
  caret-color: $light;
  width: 100%;

  &[type='number'] {
    &::-webkit-inner-spin-button,
    &::-webkit-outer-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }
  }

  &:focus {
    outline: 0;
  }

  &::placeholder {
    color: $light;
  }
}

p {
  margin: 0;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.block {
  display: flex;
  justify-content: space-between;
  min-height: 60px;

  .frame {
    height: calc(100% - 10px);
    width: calc(100% - 10px);
    border: 3px solid $dark;
    z-index: 1;
  }

  .content {
    display: flex;
    justify-content: space-between;
    align-self: flex-end;
    height: calc(100% - 10px);
    width: calc(100% - 10px);
    background: $deep-orange;
    margin-left: -100%;

    hyper-link,
    text-field {
      margin: auto;
      z-index: 2;
    }
  }
}

.listview {
  display: flex;
  flex-direction: column;
  height: calc(100% - 10px);
  overflow-y: scroll;
  padding-bottom: 5px;
  margin: 0 auto;
  z-index: 2;

  .row {
    display: grid;
    grid-template-columns: 45px 195px 45px;
    grid-template-rows: 30px;
    grid-template-areas: 'icon line none';
    padding-top: 5px;
    margin: 5px auto;

    .icon {
      grid-area: icon;
    }

    .line {
      grid-area: line;
      display: grid;
      grid-template-columns: 70% 30%;
      grid-template-rows: auto;
      grid-template-areas: 'left right';
      align-items: start;
      border-bottom: 3px solid $dark;

      .left {
        grid-area: left;
        text-align: start;

        input {
          text-align: start;
        }
      }

      .right {
        grid-area: right;
        text-align: end;

        input {
          text-align: end;
        }
      }
    }
  }
}

#app {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 90vh;

  .block {
    margin: 10px auto;
    width: 310px;
  }
}
